%define qtdir %_libdir/qt3 

Name: qnetwalk
Version: 1.2
Release: alt3

Group: Games/Puzzles
Summary: Qt-version of the popular NetWalk game
License: GPL
URL: http://qt.osdn.org.ua/%name.html

Source0: http://qt.osdn.org.ua/%name-%version.tar.gz

Patch1: %name-1.1-paths.patch

Packager: %packager

# Automatically added by buildreq on Tue Oct 10 2006 (-bi)
BuildRequires: gcc-c++ ImageMagick libqt3-devel libXext-devel linux-libc-headers packages-info-i18n-common

##BuildRequires: fontconfig freetype2 gcc-c++ libqt3-devel libstdc++-devel xorg-x11-devel xorg-x11-libs ImageMagick
#BuildRequires: XFree86-devel XFree86-libs
#BuildRequires: fontconfig freetype2 gcc-c++ ImageMagick
#BuildRequires: libqt3-devel-cxx = %__gcc_version_base
### hack for apt in hasher
##BuildRequires: libqt3-devel > 3, libqt3-qsa-devel > 1

%description
Qt-version of the popular NetWalk game.

%prep
%setup -q
%patch1 -p1

subst "s|\(target.path.*=\).*|\1 %_gamesbindir/|" %name.pro
subst "s|\(share.path.*=\).*|\1 %_gamesdatadir/%name/|" %name.pro
subst "s|/usr/local/man|%_mandir|" %name.pro
subst "s|/usr/local/share|%_gamesdatadir|g" %name.pro
subst "s|\(link.path.*=\).*|\1 %_desktopdir|" %name.pro

export QTDIR=%_qt3dir PATH=%_qt3dir/bin:$PATH
qmake -unix
%make clean

%build
export QTDIR=%qtdir PATH=%qtdir/bin:$PATH
%make_build

%install
%__cat >> %name.desktop <<EOF
GenericName=Qnetwalk
Terminal=0
Categories=Qt;Game
EOF

#%make install INSTALL_ROOT="%buildroot"
mkdir -p %buildroot/{%_gamesbindir,%_gamesdatadir/%name/translations/,%_gamesdatadir/%name/sounds/,%_desktopdir,%_man6dir}
install -m0755 %name %buildroot/%_gamesbindir/
install -m0644 sounds/* %buildroot/%_gamesdatadir/%name/sounds/
install -m0644 translations/%{name}_*.qm %buildroot/%_gamesdatadir/%name/translations/
install -m0644 %name.desktop %buildroot/%_desktopdir/
install -m644 %name.6 %buildroot%_man6dir/

mkdir -p %buildroot/%_iconsdir/hicolor/{16x16,32x32,48x48}/apps/
install -m 0644 pics/%name.png %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png
install -m 0644 pics/computer2.png %buildroot/%_iconsdir/hicolor/32x32/apps/%name.png
convert -resize 48x48 pics/computer2.png %buildroot/%_iconsdir/hicolor/48x48/apps/%name.png

%post
%update_menus
%postun
%clean_menus

%files
%_gamesbindir/*
%_gamesdatadir/%name
%_desktopdir/*
%_iconsdir/*/*/*/%name.png
%_man6dir/%name.6.*
%doc ChangeLog README

%changelog
* Wed Jan 10 2007 Terechkov Evgenii <evg@altlinux.ru> 1.2-alt3
- Debian menu replaced by .desktop
- Spec cleanups
- man page added

* Tue Oct 10 2006 Igor Zubkov <icesik@altlinux.ru> 1.2-alt2
- buildreq (must fix build)

* Thu Jul 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.2-alt1
- new version
- don't use soundwrapper

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.1-alt2
- rebuild with gcc3.4

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 1.1-alt1
- new version

* Fri Oct 29 2004 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt2
- fix %%install

* Wed Oct 27 2004 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt1
- initial spec

